relay_file_read_start_pos
Prev | relay interface | Next

## Name

relay_file_read_start_pos — find the first available byte to read

## Synopsis

`size_t relay_file_read_start_pos (` | size_t | read_pos,
| struct rchan_buf * | buf`)`;

## Arguments

`read_pos`

  file read position

`buf`

  relay channel buffer

## Description

If the `read_pos` is in the middle of padding, return the position of the first actually available byte, otherwise return the original value.

Prev | Up | Next
relay_file_read_subbuf_avail | Home | relay_file_read_end_pos